<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_3</title>
</head>
<body>
    <h1>Capitulo 5</h1>
    <a>Ejercicio 1</a>

    <script>

        const binario = (num) => {
            if (num > 1) {
                binario(Math.floor(num / 2));
            }

            console.log(num % 2);
        }

        const incertarBin = (n,m,i,j) =>  {

            let clear_mask = -1 << (j + 1);
            let capture_mask = (1 << i) - 1;
   
            let captured_bits = n & capture_mask;

            n &= clear_mask;
            m = m << i;
            n |= m;
            n |= captured_bits;

            return n;
        }

        let N = 1024,
            M = 19,
            i = 2, 
            j = 6;
        console.log(`Binario de N = ${N}, `);
        binario(N);
        console.log(`Binario de N = ${M}, `);
        binario(M);

        let nxm = incertarBin(N,M,i,j);
        console.log(`Inserción de N a M: `);
        binario(nxm);
    
        
    </script>
    
</body>
</html>